Api referenceAssets

Get asset detail

Return the core fields needed to reuse an uploaded file in editor JSON.

GET
/v1/assets/{assetId}

Return the core fields needed to reuse an uploaded file in editor JSON.

Authorization

ApiKeyAuth
x-api-key<token>

Enter your API key manually in the interactive docs playground. The value is stored only in the current browser and is not injected from server environment variables.

In: header

Path Parameters

assetId*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.indream.ai/v1/assets/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "data": {
    "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8",
    "type": "string",
    "source": "string",
    "filename": "string",
    "mimetype": "string",
    "size": 0,
    "fileUrl": "string",
    "fileKey": "string",
    "width": 0,
    "height": 0,
    "duration": 0
  },
  "meta": {}
}
{
  "type": "FORBIDDEN",
  "title": "Forbidden",
  "status": 403,
  "detail": "The current account is not eligible for this Open API route",
  "errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}
{
  "type": "FORBIDDEN",
  "title": "Forbidden",
  "status": 403,
  "detail": "The current account is not eligible for this Open API route",
  "errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}
{
  "type": "FORBIDDEN",
  "title": "Forbidden",
  "status": 403,
  "detail": "The current account is not eligible for this Open API route",
  "errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}
{
  "type": "FORBIDDEN",
  "title": "Forbidden",
  "status": 403,
  "detail": "The current account is not eligible for this Open API route",
  "errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}